{
    attributes = (
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IDIPL_ANNEE_SUIVIE; 
            externalType = NUMBER; 
            name = idiplAnneeSuivie; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = L_ABSENCE1; 
            externalType = NUMBER; 
            name = lAbsence1; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = L_ABSENCE2; 
            externalType = NUMBER; 
            name = lAbsence2; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = L_ETAT; 
            externalType = NUMBER; 
            name = lEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = L_UNITE; 
            externalType = NUMBER; 
            name = lUnite; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LA_BASE; 
            externalType = NUMBER; 
            name = laBase; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = LA_CLEF; 
            externalType = NUMBER; 
            name = laClef; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = LA_DISPENSE; 
            externalType = NUMBER; 
            name = laDispense; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LA_MENTION1; 
            externalType = VARCHAR2; 
            name = laMention1; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = LA_MENTION2; 
            externalType = VARCHAR2; 
            name = laMention2; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = LA_NOTE1; 
            externalType = NUMBER; 
            name = laNote1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = LA_NOTE2; 
            externalType = NUMBER; 
            name = laNote2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = LA_PONDERATION; 
            externalType = NUMBER; 
            name = laPonderation; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = LE_COEFF; 
            externalType = NUMBER; 
            name = leCoeff; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = LE_POINT_JURY; 
            externalType = NUMBER; 
            name = lePointJury; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = LE_SEMESTRE; 
            externalType = NUMBER; 
            name = leSemestre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LE_TYPE; 
            externalType = NUMBER; 
            name = leType; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LES_POINTS1; 
            externalType = NUMBER; 
            name = lesPoints1; 
            precision = 4; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = LES_POINTS2; 
            externalType = NUMBER; 
            name = lesPoints2; 
            precision = 4; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (fannKey, etudNumero, fspnKey, idiplAnneeSuivie, lUnite, laClef, leSemestre); 
    className = EOGenericRecord; 
    classProperties = (
        fannKey, 
        etudNumero, 
        fspnKey, 
        idiplAnneeSuivie, 
        lUnite, 
        laClef, 
        lAbsence1, 
        lAbsence2, 
        laDispense, 
        lEtat, 
        laNote1, 
        laMention1, 
        laNote2, 
        laMention2, 
        leType, 
        laBase, 
        leCoeff, 
        laPonderation, 
        lePointJury, 
        leSemestre, 
        lesPoints1, 
        lesPoints2
    ); 
    externalName = V_SCOL_BILAN_MATRICE_EC; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = V_SCOL_BILAN_MATRICE_UV; }; 
    name = VScolBilanMatriceEc; 
    primaryKeyAttributes = (etudNumero, fannKey, fspnKey, idiplAnneeSuivie, laClef, lUnite, leSemestre); 
}
